
#include <p18f4550.h>

#include "h/SPI.h"
#include "h/Utilitaires.h"
#include "h/Parametres.h"


void InitialisationSPI(void)
{
	/* CKE = 1, CKP = 0 */
	SSPSTAT = 0x40;	
	SSPCON1 = 0x21;
}

void EcrireSPI(unsigned char Donnee)
{
	SSPBUF = Donnee;
}

unsigned char LireSPI(void)
{
	SSPBUF = 0x00;	/* Envoi d'une donne quelconque pour gnrer l'horloge, permettant  l'esclave de rpondre */

	while(SSPSTATbits.BF == 0);	/* Bouclage tant que le module du SPI nie signale pas qu'il a reu de nouvelle donne */	
	
	return SSPBUF;
}

unsigned char EcrireDonnesMCP2515(unsigned char NombreDonneesEnvoyer, unsigned char Donnee1, unsigned char Donnee2, unsigned char Donnee3)
{
	unsigned char k;

	unsigned char Donnees[3] = {0x00};

	Donnees[0] = Donnee1;
	Donnees[1] = Donnee2;
	Donnees[2] = Donnee3;

	BROCHE_MCP2515_CS = 0;	/* ~CS_MCP2515 = 0 */

	for(k = 0; k < NombreDonneesEnvoyer; k++)
	{
			SSPBUF = Donnees[k];
			Delai(1);	/* Delai au moins tant que le module du SPI est occup */	
	}

	BROCHE_MCP2515_CS = 1;	/* ~CS_MCP2515 = 1 */

	return 0x01;
}

