
#include <p18f4550.h>

#include "h/SPI.h"
#include "h/MCP2515.h"
#include "h/Utilitaires.h"
#include "h/Parametres.h"


/* Bits de configuration du microcontrleur PIC18F4550, indpendants du programme,
voir  Help -> Topics -> PicC18 config settings . */

#pragma config BOR = ON
#pragma config MCLRE = OFF
#pragma config LVP = OFF	/* Low Voltage Programming dsactiv => RB5 I/O normale. */
#pragma config PBADEN = OFF	/* PORTB<4> and PORTB<1:0> Configured as Digital I/O Pins on Reset. */
#pragma config DEBUG = OFF	/* Dbug dsactiv => RB6 et RB7 normal I/O. */
#pragma config FCMEN = OFF	/* Fail-Safe Clock dsactive. */
#pragma config IESO = OFF	/* Oscillator Switchover mode dsactiv. */
#pragma config PWRT = OFF
#pragma config WDT = OFF	/* Watchdog dsactiv. */
#pragma config WDTPS = 1024	/* Prdiviseur du Watchdog. */
#pragma config LPT1OSC = OFF
#pragma config XINST = OFF	/* Instruction set extension and Indexed Addressing mode disabled (Legacy mode). */
#pragma config STVREN = OFF	/* Pas de reset du  la pile. */ 
#pragma config FOSC = INTOSCIO_EC


#define MCP2515_CHOIX_IDENTIFIANT 0x042


void InitialisationMicrocontroleur(void);


void InitialisationMicrocontroleur(void)
{
	/* Configuration de l'horloge interne du PIC18F4550. */
	OSCCON = 0x70;
	OSCTUNE = 0x40;
	
	/* Dsactivation du module CCP. */
	CCP1CON = 0;
	
	/* Dsactivation du convertisseur analogique numerique. */
	ADCON1 = 0x0F;

	PIE1bits.SSPIE = 0;
	PIR1bits.SSPIF = 0;
}

/* Fonction principale 

Paramtre d'entre :

Aucun.

Valeur de retour :

Aucune.

*/
void main(void)
{
	unsigned char k;
	unsigned char Phase;

	InitialisationMicrocontroleur();
	
	DIRECTION_MCP2515_CS = 0;
	DIRECTION_MCP2515_SCK = 0;
	DIRECTION_MCP2515_SDI = 1;
	DIRECTION_MCP2515_SDO = 0;
	
	BROCHE_MCP2515_CS = 1;
	BROCHE_MCP2515_SCK = 0;
	BROCHE_MCP2515_SDO = 0;
	
	InitialisationSPI();

	InitialisationMCP2515();

	ChoisirIdentifiantTX0(MCP2515_CHOIX_IDENTIFIANT);

	while(1)
	{
		EnvoyerTrameMCP2515("COUCOU !\0");
		Delai(1000);
	}
}


